உள்ளடக்கத்திற்குச் செல்க

Sonilo V1.1 Text to Sound Effects

ஒருங்கிணை

மாடல் id sonilo/v1.1/text-to-sound-effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-sound-effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

எடுத்துக்காட்டு போன்ற கோப்புகள்: $0.015 15 API கிரெடிட்கள் · ≈ ₽1.61 இயக்குவதற்கு முன் உங்கள் கோப்புகள் அளவிடப்படும் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Sonilo ஆடியோ 0.5–180 s #sfx#audio#effects

உரை விளக்கத்திலிருந்து ஒலி விளைவுகளை உருவாக்குகிறது; 0.5 முதல் 180 வினாடிகள் வரை, WAV, MP3, AAC அல்லது FLAC வடிவில்

Sonilo · ஆடியோ

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை

விரும்பிய ஒலியின் விளக்கம்.

இயல்புநிலை 8

ஆடியோ நீளம் வினாடிகளில்; 0.5 முதல் 180 வரை.

மேம்பட்டவை audio_format
audio_format இயல்புநிலை aac

ஆடியோக் கோப்புக்கான வடிவம்: aac, mp3, wav அல்லது flac-ஐத் தேர்ந்தெடுக்கவும்; aac இயல்புநிலையாகும்.

POST /run/sonilo/v1.1/text-to-sound-effects?wait=20 விலை → $0.015
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-sound-effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Sonilo V1.1 Text to Sound Effects பற்றி

அதன் வகை, அமைப்பு மற்றும் தீவிரத்தை விவரிக்கும் `prompt` இலிருந்து ஒலி விளைவை உருவாக்குகிறது. `duration` 0.5 முதல் 180 வினாடிகள் வரை இருக்கும் (இயல்புநிலை 8). `audio_format` wav, mp3, aac அல்லது flac ஐத் தேர்ந்தெடுக்கிறது; இயல்புநிலை aac.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
promptதேவை
வகைstring
விரும்பிய ஒலியின் விளக்கம்.
durationவிருப்பத்தேர்வு
வகைnumber
இயல்புநிலை8
0.5 – 180
ஆடியோ நீளம் வினாடிகளில்; 0.5 முதல் 180 வரை.
audio_formatவிருப்பத்தேர்வு
வகைenum
இயல்புநிலைaac
wavmp3aacflac
ஆடியோக் கோப்புக்கான வடிவம்: aac, mp3, wav அல்லது flac-ஐத் தேர்ந்தெடுக்கவும்; aac இயல்புநிலையாகும்.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sonilo/v1.1/text-to-sound-effects",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 15,
    "usd": "0.015",
    "charged": 15,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
audio
object {url, content_type, file_name, file_size}தேர்ந்தெடுக்கப்பட்ட ஆடியோ வடிவத்தில் குறியாக்கப்பட்ட உருவாக்கப்பட்ட ஒலி.
audios
array of object {url, content_type, file_name, file_size}உருவாக்கப்பட்ட ஒலிகளின் முழுத் தொகுப்பு; ஒவ்வொரு மாதிரிக்கும் ஒரு ஒலி.

மேலும் மாதிரிகள்: ஆடியோ

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/sonilo/v1.1/text-to-sound-effects.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt